package com.care.common.service.impl;

import cn.hutool.core.util.StrUtil;
import com.care.common.enums.SmsTemplateTypeEnum;
import com.care.common.service.VoiceSendService;
import com.care.common.util.VoiceUtil;
import com.tencentcloudapi.vms.v20200902.models.SendStatus;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * @Author: lilt
 * @Date: 2021/6/5
 * @Desc:
 */
@Service
public class VoiceSendServiceImpl implements VoiceSendService {

    @Value("${voice.notice.endpoint:#{null}}")
    private String noticeEndpoint;
    @Value("${voice.notice.region:#{null}}")
    private String noticeRegion;
    @Value("${voice.notice.secretId:#{null}}")
    private String noticeSecretId;
    @Value("${voice.notice.secretKey:#{null}}")
    private String noticeecretKey;
    @Value("${voice.notice.voiceSdkAppId:#{null}}")
    private String noticeVoiceSdkAppId;

    @Value("${voice.notice.templateidHappen:#{null}}")
    private String templateidHappen;
    @Value("${voice.notice.templateidCancel:#{null}}")
    private String templateidCancel;

    @Override
    public boolean sendVoiceHappen(String phone, String[] params) {
        String[] _p = params;
        String _noticeTemplateId =  templateidHappen;
        if (StrUtil.isNotEmpty(_noticeTemplateId)){
            SendStatus sendStatus =  VoiceUtil.sendTtsVoice(noticeEndpoint,
                    noticeRegion,
                    noticeSecretId,
                    noticeecretKey,
                    noticeVoiceSdkAppId,
                    _noticeTemplateId,
                    phone,_p);
            System.out.println("sendStatus.getCallId() == " +  sendStatus.getCallId());
            if (sendStatus != null && sendStatus.getCallId() != null){
                return true;
            }else{
                return  false;
            }
        }else {
            return  false;
        }
    }
    @Override
    public boolean sendVoiceCancel(String phone, String[] params) {
        String[] _p = params;
        String _noticeTemplateId =  templateidCancel;
        if (StrUtil.isNotEmpty(_noticeTemplateId)){
            SendStatus sendStatus =  VoiceUtil.sendTtsVoice(noticeEndpoint,
                    noticeRegion,
                    noticeSecretId,
                    noticeecretKey,
                    noticeVoiceSdkAppId,
                    _noticeTemplateId,
                    phone,_p);
            System.out.println("sendStatus.getCallId() == " +  sendStatus.getCallId());
            if (sendStatus != null && sendStatus.getCallId() != null){
                return true;
            }else{
                return  false;
            }
        }else {
            return  false;
        }
    }
}
